Create a new lead gen form on a Facebook page

http
POST https://services.leadconnectorhq.com/ad-publishing/facebook/page/{pageId}/forms

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
pageIdstringYes103456789012345Facebook page identifier

Body

NameTypeRequiredExampleDescription
typestringYesMORE_VOLUMELead form type Possible values: 'MORE_VOLUME', 'HIGHER_INTENT'
namestringYesContact FormLead form name
locationIdstringYesloc_abc123Account identifier
greetingCardobjectNoGreeting card config
  • questions (object[], required): List of questions displayed on the lead form

    • label (string): Question label text shown to the user Example: What is your name?

    • key (string, required): Question key Example: name

    • type (string, required): Question input type — use a prefilled type for standard fields or CUSTOM / SHORT_ANSWER for freeform questions Possible values: 'CUSTOM', 'CITY', 'COMPANY_NAME', 'COUNTRY', 'DATE_OF_BIRTH', 'EMAIL', 'FIRST_NAME', 'FULL_NAME', 'GENDER', 'JOB_TITLE', 'LAST_NAME', 'MARITAL_STATUS', 'MILITARY_STATUS', 'PHONE', 'POST_CODE', 'RELATIONSHIP_STATUS', 'STATE', 'STREET_ADDRESS', 'WORK_EMAIL', 'WORK_PHONE_NUMBER', 'ZIP', 'SHORT_ANSWER' Example: SHORT_ANSWER

    • options (object[]): Answer options for multiple-choice questions (only applies to CUSTOM type)

      • key (string, required): Option key Example: option 1

      • value (string, required): Option value Example: Option 1

NameTypeRequiredExampleDescription
questionPageHeadlinestringNoTell us about yourselfQuestion page headline
privacyPolicyLinkstringYeshttps://example.com/privacyPrivacy policy URL
privacyPolicyTextstringNoWe respect your privacyPrivacy policy text
customDisclaimerobjectNoCustom disclaimer config
thankYouPageobjectYesThank you page config

Responses

201 - Response
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/page/YOUR_pageId/forms' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "type": "MORE_VOLUME",
  "name": "Contact Form",
  "locationId": "loc_abc123",
  "questions": [
    {
      "key": "full_name",
      "type": "FULL_NAME",
      "options": []
    },
    {
      "key": "email_address",
      "type": "EMAIL",
      "options": []
    },
    {
      "key": "are_you_interested",
      "label": "Are you interested?",
      "type": "CUSTOM",
      "options": [
        {
          "value": "Yes"
        },
        {
          "value": "No"
        }
      ]
    }
  ],
  "questionPageHeadline": "Tell us about yourself",
  "privacyPolicyLink": "https://example.com/privacy",
  "privacyPolicyText": "We respect your privacy"
}'

Last updated October 26, 2026

Was this page helpful?